Adesso arrivano i dolori :). Compilare Wview 3.3.0 con linux e' abbasanza difficile. Soprattutto perche' la puppy e' una distribuzione veramente ridotta all'osso. In ogni caso scaricando gli opportuni software si riesce a compilare wview. Sul sito di wview esiste una guida completa e ben fatta che aiuta tantissimo. Ho dovuto installare:

Dare il comando:

ln -s /usr/lib/libxcb-xlib.la /usr/X11R7/lib

E quindi installare:

NOTA IMPORTANTE: tutte le varie librerie da compilare richiedono la procedura standard: entrare nella cartella, dare il comando .configure, make, make install...Bisogna sempre specificare ./configure --prefix=/usr in quanto altrimenti vengono installate in /usr/local/lib e non in /usr/lib. Usando questa procedura non ho avuto problemi nella configurazione.

A questo punto e' possibile installare wview


Mentre sto scrivendo questa documentazione mi accorgo che e' uscita la nuova release di wview 3.4.1. Sto provando a compilarla e prima nota: bisogna installare preventivamente la nuova versione della radlib: la 2.7. C'e' comunque il link sul sito di wview. Installando questa nuova libreria si riesce a compilare wview 3.4.1 senza problemi, avendo gia' installato quanto indicato prima.

  • Installando radlib 2.7.1 non funziona il make install in quanto il file install-sh non ha il permesso di esecuzione. Basta dare il comando:
    • chmod 755 install-sh
    • rilanciare il make install per far funzionare il tutto.
  • La versione 3.4.1 pare aver recepito il fatto che forzando l'ftp attivo su molti siti non funziona. Il codice incorpora alla linea 218 del ftp/ftpUtils.c
    • args[1] = "-iV";

mentre nella versione 3.3.0 c'era "-AiV" che comportava come parametro A=Active per il tftp... La versione 3.4.1 non necessista la modifica del codice che era richiesta per la 3.3.0 per rendere compatibile il demone ftp con il server di centrometeolombardo.

La cosa piu' interessante della nuova versione parrebbe essere un demone di controllo per monitorare se uno dei processi wview (wview, htmlgen, ftp) si impalla. Nel caso lo killa e lo fa ripartire... Per ora non mi e' mai successo di dover killare processi ma e' anche da solo 15 gg che sta funzionando la versione 3.3.0 dalla mia stazione.


(:div style='groove #99f; padding:10px; background-image:url(http://www.meteobrallo.com/site/uploads/Main/auguri_mb.jpg); opacity:.50;filter: alpha(opacity=50); -moz-opacity: 0.9'':)

Situazione

RSS

Meteo


Materiali & Procedure

Per contibuire

Altro

Banners

.